User API
List Users API
GET /api-public/1.0/users
This endpoint retrieves a list of users that the authenticated user is authorized to view.
Operation:
- The authenticated client sends a GET request with query parameters.
- The server returns an object containing records and count, where records contains the user records and count indicates how many records were returned.
Use query parameters to:
- Limit the number of records to return with limit
- List records before or after the given field value together with sort
- Control sort direction with order
- Limit the returned fields with fields
- Filter results by supported (string based) user fields, such as firstName, lastName, etc.
Typical Response (200 Users retrieved successfully):
{
"records": [
{
"id": "string",
"createdDate": "UTC time"
...
}
],
...
"count": integer
}Purpose:
- View existing user information.
- Find and query all users meeting certain criteria.